<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>  
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
  </form-beans>

  <!-- ========== Global Exceptions Definitions =================================== -->
      <global-exceptions>
        <exception type="java.lang.Exception"
            key="errors.general"
            handler="cn.com.xunuo.webapp.action.ActionExceptionHandler"/>
    </global-exceptions>

  <!-- ========== Global Forward Definitions =================================== -->
      <global-forwards>
        <!-- Default forward to "mainMenu" action -->
        <!-- Demonstrates using index.jsp to forward -->
        <forward name="errorPage" path="/error.jsp" redirect="true"/>
		<forward name="sysErrorPage" path="/sys/error.jsp" redirect="true"/>
        <!-- Forwards specified in actions -->  
    </global-forwards>

  <!-- ========== Action Mapping Definitions =================================== -->
  <action-mappings>

  </action-mappings>

  <controller inputForward="true" maxFileSize="5M"/>

      <message-resources parameter="ApplicationResources"/>

      <!-- ========== Validator plugin ===================  -->
    <plug-in className="org.apache.struts.validator.ValidatorPlugIn">
        <set-property property="pathnames" 
                      value="/WEB-INF/validator-rules.xml,
                             /WEB-INF/validator-rules-custom.xml,
                             /WEB-INF/validation.xml"/>
    </plug-in>
    <!-- ========== Menu plugin ======================== -->
    <!-- <plug-in className="net.sf.navigator.menu.MenuPlugIn"/> -->

</struts-config>
